> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sturdytechnologies.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Paypal Payout

> Transfer Funds to a Paypal account



## OpenAPI

````yaml POST /payments/paypal
openapi: 3.1.0
info:
  title: Sturdy Technologies API
  description: API documentation for Sturdy Technologies Service
  contact: {}
  version: '1.0'
servers:
  - url: https://sandbox.sturdytechnologies.com/v3
    description: Sandbox server
security: []
paths:
  /payments/paypal:
    post:
      tags:
        - Payments
      summary: Paypal Payout
      description: Transfer Funds to a Paypal account
      operationId: paypalPayout
      requestBody:
        description: Paypal Payout payload
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Send2PayPalReq'
      responses:
        '200':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Send2PayPalResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResp'
      security:
        - BearerAuth: []
components:
  schemas:
    Send2PayPalReq:
      type: object
      required:
        - account_id
        - amount
        - paypal_id
        - recipient_name
      properties:
        account_id:
          type: string
          description: >-
            Unique Identifier of the US account from which funds will be
            transferred from (Pass merchant's US account ID if hold_balance is
            false for Create US Bank Account).
        amount:
          type: number
        description:
          type: string
        paypal_id:
          type: string
          description: Paypal ID (email) of the recipient.
        recipient_name:
          type: string
    Send2PayPalResp:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Send2PayPalData'
        message:
          type: string
        success:
          type: boolean
    ErrorResp:
      type: object
      properties:
        message:
          type: string
          example: Invalid request
        success:
          type: boolean
          example: false
    Send2PayPalData:
      type: object
      properties:
        amount:
          type: number
        description:
          type: string
        paypal_id:
          type: string
        recipient_name:
          type: string
        transaction_date:
          type: string
          example: '2023-10-01T12:34:56Z'
        transaction_id:
          type: string
          example: txn_12345
        transaction_status:
          type: string
          enum:
            - processing
            - successful
            - failed
          description: Status of the transaction

````